%define name jacal
%define version 1b1
%define release 2

Name:         %{name}
Release:      %{release}
Version:      %{version}
Packager:     Aubrey Jaffer <agj @ alum.mit.edu>

Copyright:    GPL
Vendor:       Aubrey Jaffer <agj @ alum.mit.edu>
Group:        Sciences/Mathematics
Provides:     jacal
BuildArch:    noarch
Requires:     slib

Summary:      The JACAL Symbolic Math System
Source:       ftp://swissnet.ai.mit.edu/pub/scm/jacal%{version}.zip
URL:          http://swissnet.ai.mit.edu/~jaffer/JACAL.html
BuildRoot:    %{_tmppath}/%{name}%{version}
Prefix:       /usr

%description
JACAL is an interactive symbolic mathematics program. JACAL can
manipulate and simplify equations, scalars, vectors, and matrices of
single and multiple valued algebraic expressions containing numbers,
variables, radicals, and algebraic differential, and holonomic
functions.

%define __os_install_post /usr/lib/rpm/brp-compress

%prep
%setup -n jacal -c -T
cd ..
unzip $RPM_SOURCE_DIR/jacal%{version}.zip

%build
gzip -f jacal.info

%install
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/jacal
cp -r . ${RPM_BUILD_ROOT}%{prefix}/share/jacal

mkdir -p ${RPM_BUILD_ROOT}/usr/info
cp jacal.info.gz ${RPM_BUILD_ROOT}/usr/info

make prefix=${RPM_BUILD_ROOT}%{prefix}/ pinstall

echo "(slib:load \"%{prefix}/share/jacal/math\")"> ${RPM_BUILD_ROOT}%{prefix}/share/jacal/go.scm
echo "(math)">> ${RPM_BUILD_ROOT}%{prefix}/share/jacal/go.scm

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
echo '#! /bin/sh'> ${RPM_BUILD_ROOT}%{prefix}/bin/jacal
echo JACALDIR=%{prefix}/share/jacal/>> ${RPM_BUILD_ROOT}%{prefix}/bin/jacal
cat jacal.sh >> ${RPM_BUILD_ROOT}%{prefix}/bin/jacal
chmod +x ${RPM_BUILD_ROOT}%{prefix}/bin/jacal

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/jacal.info.gz /usr/info/dir

%files
%defattr(-, root, root)
%{prefix}/bin/jacal
%dir %{prefix}/share/jacal
%{prefix}/share/jacal/*.scm
%{prefix}/share/jacal/Makefile
%{prefix}/man/man1/jacal.1.gz
%{prefix}/info/jacal.info.gz

%doc ANNOUNCE ChangeLog README COPYING HELP demo test.math rw.math DOC/algdenom DOC/grammar DOC/history DOC/lambda DOC/ratint.dvi


%changelog
